Subject: Re: bug#65250: 30.0.50; "C-h f" is much slower on the master branch

From: Andrea Corallo <[email-masked]>
Date: Sat, 12 Aug 2023 12:57:27 -0400

Eli Zaretskii <[email-masked]> writes:

> To reproduce:
>
>   emacs -Q
>   C-h f dictionary-search RET
>
> (almost any other function will do, I think).
>
> This takes a whopping 6.6 sec of CPU on master, vs 2.4 sec on the
> emacs-29 branch.  These are both unoptimized builds, but even so,
> 6.6 seconds of CPU time for looking up a doc string of a function
> is too much, I think.
>
> The patch below fixes the problem in a build without
> native-compilation, but won't help in a build with native-compilation.
> I wonder why comp-function-type-spec is so expensive?

Hi Eli,

can't look at this now, will do on Monday and report.

Best Regards

  Andrea